<?php
/* Programme : Auth-OO.php
   Description :    Programme demandant un nom d'utilisateur
            et un mot de passe. Le programme teste ensuite
            si le nom d'utilisateur et le mot de passe
            correspondent  une paire stocke dans une
            base MySQL.
 */

 require_once("PasswordPrompter.class");              #10
 require_once("Database.class");
 require_once("Account.class");
 require_once("WebPage.class");

// Regarde si l'utilisateur a t invit  entrer son nom
 if(!isset($_SERVER['PHP_AUTH_USER']))                #16
 {
    try
    {
       $prompter = new PasswordPrompter("Section secrte");
       $prompter->displayPrompt();
    }
    catch(Exception $e)
    {
       echo $e->getMessage();
       exit();
    }
 }

 // Vrifie le nom d'utilisateur et mot de passe saisis
 else                                                 #31
 {
    try                                               #33
    {
       $db = new Database("Vars.inc");                #35
       $db->useDatabase("UserAccount");               #36
    }
    catch(Exception $e)
    {
       echo $e->getMessage();
       exit();
    }                                                 #42
    try                                               #43
    {
       $acct = new 
          Account($db->getConnection(),"Valid_User"); #46
       if(!$acct->selectAccount($_SERVER['PHP_AUTH_USER']))
       {
          $mess = $acct->getMessage();
          echo $mess."<br>";
          exit();
       }                                              #52
       if(!$acct->comparePassword($_SERVER['PHP_AUTH_PW']) )
       {
          $mess = $acct->getMessage();
          echo $mess."<br>";
          exit();
       }                                              #58
    }
    catch(Exception $e)
    {
       echo $e->getMessage();
       exit();
    }
  }                                                   #65
  $data['user_name'] = $_SERVER['PHP_AUTH_USER'];     #66
  try                                                 #67
  {
    $welcome_page = new WebPage("Welcome.inc",$data); #69
    $welcome_page->displayPage();                     #70
  }
  catch(Exception $e)
  {
    echo $e->getMessage();
    exit();
  }
?>
