DROP TABLE IF EXISTS Department;

CREATE TABLE Department ( 
  dept_id       SERIAL,
  name          VARCHAR(255)  NOT NULL,
  description   VARCHAR(255) NOT NULL,
  
  PRIMARY KEY (dept_id)
);

DROP TABLE IF EXISTS Content_Type;

CREATE TABLE Content_Type (
  type_id       SERIAL,
  name          VARCHAR(255) NOT NULL,
  
  PRIMARY KEY (type_id)
);

DROP TABLE IF EXISTS Content;

CREATE TABLE Content (
  content_id    SERIAL,
  dept_id       INT           NOT NULL,
  content_type  INT           NOT NULL,
  title         VARCHAR(255)  NOT NULL,
  description   TEXT          NOT NULL,
  content_date  DATE,
  create_date   TIMESTAMP    
                DEFAULT now() NOT NULL,
  created_by    VARCHAR(255)  NOT NULL,
  last_upd_date TIMESTAMP     NOT NULL,
  last_upd_by   VARCHAR(255)  NOT NULL,
  
  PRIMARY KEY(content_id)
);

DROP TABLE IF EXISTS Dept_User;

CREATE TABLE Dept_User ( 
  user_name     VARCHAR(255) 
                       UNIQUE NOT NULL,
  dept_id       INT           NOT NULL,
  first_name    VARCHAR(255)  NOT NULL,
  last_name     VARCHAR(255)  NOT NULL,
  password      VARCHAR(255)  NOT NULL,
  create_date   TIMESTAMP    
                DEFAULT now() NOT NULL,
  email         VARCHAR(255),
  
  PRIMARY KEY(user_name)
);

DROP TABLE IF EXISTS Content_Download;

CREATE TABLE Content_Download (
  download_id   SERIAL,
  content_id    INT(6)       NOT NULL,
  file_name     VARCHAR(255) NOT NULL
);

INSERT INTO `content_type` VALUES (1, 'Actualits');
INSERT INTO `content_type` VALUES (2, 'vnements');
INSERT INTO `content_type` VALUES (3, 'FAQ');
INSERT INTO `content_type` VALUES (4, 'Runions');

INSERT INTO `department` VALUES (1, 
   'Ressources humaines', 'Rassembler les nergies.');
INSERT INTO `department` VALUES (2, 
   'Ventes', 'Vente des produits de l''enteprise.');
INSERT INTO `department` VALUES (3, 
   'Distribution', 'Notre travail : que les produits 
   arrivent chez le client.');
INSERT INTO `department` VALUES (4, 
   'Informatique', 'Construire les applications qui 
    nous rendent performants.');
